Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Aug 2022 15:08:31 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Gregory Heytings <[email-masked]>,  [email-masked]
> Date: Mon, 15 Aug 2022 19:41:23 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If they do, can you put a breakpoint in xdisp.c here:
> > ...
> >
> > and see how frequently this gets called in the same buffer when you do
> > whatever shows the performance degradation?
> 
> Could you please clarify what exactly do I need to look for? What do you
> mean by frequency? Should I share some kind of gdb log?

I will, if your information from the "hung" Emacs will not give us a
good clue.  Given what you say there, it sounds like my theory behind
the above doesn't hold water, because it cannot explain the effect of
enlarging long-line-threshold that you experience.